#ifndef CONFIGREADER_H
#define CONFIGREADER_H

#include <fstream>
#include <string>
#include <vector>

using namespace std;

/****************
  ConfigReader is a simple tokenizer for reading
  text files consisting of numbers.

  Each call to getEntry yields a line as a vector<int>

****************/
class ConfigReader
{
protected:
	ifstream fd;
	string delimiters;

public:
	//opens file
	ConfigReader(string fname, string delims);
	~ConfigReader();
	int getEntry(vector<int> &tokens);

};

#endif